/**
 * EasyBeans
 * Copyright (C) 2006 Bull S.A.S.
 * Contact: easybeans@objectweb.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: AbsMapping.java 1477 2007-06-16 16:50:19Z benoitf $
 * --------------------------------------------------------------------------
 */

package org.ow2.easybeans.xmlconfig.mapping;

/**
 * Common methods used by mapping class.
 * @author Florent Benoit
 */
public class AbsMapping {

    /**
     * Alias of this mapping.
     */
    private String alias;

    /**
     * Name of the mapping element.
     */
    private String name = null;

    /**
     * Gets name of this mapping element.
     * @return the name.
     */
    public String getName() {
        return this.name;
    }

    /**
     * Sets the name for this mapping.
     * @param name the given name.
     */
    public void setName(final String name) {
        this.name = name;
    }

    /**
     * Sets the alias for this mapping.
     * @param alias the given alias.
     */
    public void setAlias(final String alias) {
        this.alias = alias;
    }

    /**
     * Gets alias used.
     * @return the alias of this mapping class.
     */
    public String getAlias() {
        return alias;
    }

    /**
     * Returns a string representation of the object.
     * @return string representation
     */
    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append("name=");
        sb.append(name);
        sb.append(", alias=");
        sb.append(alias);
        return sb.toString();
    }
}
